DEV: Fix ember-cli proxy issues (PR #15071)

GitHub

The title of this pull request changed from “DEV: Fix ember-cli proxy compat with node < 16” to "DEV: Fix ember-cli proxy issues